Skip to main content
`Ctrl`+`K`

# scipy.special.erfc

scipy.special.erfc(x, out=None) = <ufunc 'erfc'>

  Complementary error function, `1 - erf(x)`.

  Parameters:
    x array_like

      Real or complex valued argument

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Values of the complementary error function

  See also

  `erf`, `erfi`, `erfcx`, `dawsn`, `wofz`

  Notes

  `erfc` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ✅
  JAX | ✅ | ✅
  Dask | ✅ | n/a

  See Support for the array API standard for more information.

  References

  [1]

  Steven G. Johnson, Faddeeva W function implementation. http://ab-initio.mit.edu/Faddeeva

  Examples

      >>> import numpy as np
      >>> from scipy import special
      >>> import matplotlib.pyplot as plt
      >>> x = np.linspace(-3, 3)
      >>> plt.plot(x, special.erfc(x))
      >>> plt.xlabel('$x$')
      >>> plt.ylabel('$erfc(x)$')
      >>> plt.show()